/*
 * The UDS Collection
 * Copyright (C) 2000, 2001, 2002  Julian v. Bock
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *	(See file COPYING for more information)
 */

#ifndef _uds_dcast_hh
#define _uds_dcast_hh


// includes

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif


/** If DEBUG is defined, this macro expands to a dynamic_cast, otherwise to
	a static_cast. We have to use a macro here to avoid trouble with
	access restrictions.
	\author Julian v. Bock */
#ifdef DEBUG
#define dcast dynamic_cast
#else
#define dcast static_cast
#endif

#endif // _uds_dcast_hh
