dnl UDS base macros

AC_DEFUN(UDS_FL_INIT, [
uds_addflags="-Wall"
uds_arch="no"
])

AC_DEFUN(UDS_FL_GEN, [
AC_MSG_CHECKING(whether to set CFLAGS and CXXFLAGS)
if test "(" "$CFLAGS" != "" -a "$CFLAGS" != "-g -O2" ")" \
		-o "(" "$CXXFLAGS" != "" -a "$CXXFLAGS" != "-g -O2" ")"; then
	AC_MSG_WARN(flags already set)
else
	AC_MSG_RESULT(yes)
	CFLAGS="$uds_addflags $uds_optflags $uds_cflags"
	CXXFLAGS="$uds_addflags $uds_optflags $uds_cxxflags"
fi
])

AC_DEFUN(UDS_URL, [
uds_url="http://frost.flewid.de"
uds_url_rs="$uds_url/download.html"
])
