dnl checks for extra library and include paths

AC_DEFUN(UDS_CHECK_EXTRA_LI, [
withval=
AC_MSG_CHECKING(for extra library paths)
AC_ARG_WITH(extra-libs, [  --with-extra-libs=paths specify extra library paths])
for p in $withval; do
	test $(echo $p | sed 's/\(.\).*/\1/') = "/" || p="`pwd`/$p"
	LDFLAGS="$LDFLAGS -L$p"
done
AC_MSG_RESULT($withval)

withval=
AC_MSG_CHECKING(for extra include paths)
AC_ARG_WITH(extra-includes, [  --with-extra-includes=paths
                          specify extra include paths])
for p in $withval; do
	test $(echo $p | sed 's/\(.\).*/\1/') = "/" || p="`pwd`/$p"
	CPPFLAGS="$CPPFLAGS -I$p"
done
AC_MSG_RESULT($withval)
])
