/*
 * The UDS Collection
 * Copyright (C) 2002  Julian v. Bock
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *	(See file COPYING for more information)
 */

#ifndef _uds_idep_hh
#define _uds_idep_hh


namespace uds
{

class ProcStream;


/** tries to open a ProcStream that reads memory addresses and returns
	corersponding source files and line numbers of the current process
	\param ps ProcStream
	\param bn 'return basename of file' flag */
void
Addr2LinePS( ProcStream& ps, bool bn );

}

#endif // _uds_idep_hh
