dnl checks for flex flags

AC_DEFUN(UDS_CHECK_FLEX_FLAGS, [
AC_REQUIRE([UDS_CHECK_OPTIMIZATION])

enableval=$uds_fast_lexer
test "$enableval" || enableval="no"
AC_MSG_CHECKING(whether to create fast lexer classes)
AC_ARG_ENABLE(fast-lexer,[  --enable-fast-lexer     create fast lexer classes])
touch fast_lexer
if test "$enableval" != "$(cat fast_lexer)"
then
	echo "$enableval" > fast_lexer
	rm -f $(find . -name "*.ll" | sed s/\.ll/\.cc/g)
fi

if test "$enableval" = "yes"
then
	AC_MSG_RESULT(yes)
	FLEX_FLAGS="-f"
	AC_SUBST(FLEX_FLAGS)
else
	AC_MSG_RESULT(no)
fi
])
