dnl checks for a program and sets a the shell variable uds_prog to the 
dnl program name including the absolute path
dnl
dnl arg1: program name
dnl arg2: --with option
dnl arg3: description
dnl arg4: config.h macro name

AC_DEFUN(UDS_CHECK_PROG, [
withval=yes
AC_MSG_CHECKING(for $1)
AC_ARG_WITH($1, [  --with-$2(=prog) $3])
case "$withval" in
	yes)
		uds_prog=$(which $1)
		;;
	no)
		uds_prog=
		;;
	*)
		if test $(echo $withval | sed 's/\(.\).*/\1/') = "/"; then
			uds_prog="$withval"
		else
			uds_prog=$(which $withval)
		fi
		;;
esac
AC_MSG_RESULT($uds_prog)
AC_DEFINE_UNQUOTED($4,"${uds_prog}",$3)
])
